Index: c/update-tools/310_to_320_list
===================================================================
--- c/update-tools/310_to_320_list	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ c/update-tools/310_to_320_list	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,543 @@
+#
+#  External API name
+#
+initialize_executive rtems_initialize_executive
+initialize_executive_early rtems_initialize_executive_early
+initialize_executive_late rtems_initialize_executive_late
+shutdown_executive rtems_shutdown_executive
+task_create rtems_task_create
+task_ident rtems_task_ident
+task_start rtems_task_start
+task_restart rtems_task_restart
+task_delete rtems_task_delete
+task_suspend rtems_task_suspend
+task_resume rtems_task_resume
+task_set_priority rtems_task_set_priority
+task_mode rtems_task_mode
+task_get_note rtems_task_get_note
+task_set_note rtems_task_set_note
+task_wake_after rtems_task_wake_after
+task_wake_when rtems_task_wake_when
+interrupt_catch rtems_interrupt_catch
+clock_set rtems_clock_set
+clock_get rtems_clock_get
+clock_tick rtems_clock_tick
+extension_create rtems_extension_create
+extension_ident rtems_extension_ident
+extension_delete rtems_extension_delete
+timer_create rtems_timer_create
+timer_ident rtems_timer_ident
+timer_cancel rtems_timer_cancel
+timer_delete rtems_timer_delete
+timer_fire_after rtems_timer_fire_after
+timer_fire_when rtems_timer_fire_when
+timer_reset rtems_timer_reset
+semaphore_create rtems_semaphore_create
+semaphore_ident rtems_semaphore_ident
+semaphore_delete rtems_semaphore_delete
+semaphore_obtain rtems_semaphore_obtain
+semaphore_release rtems_semaphore_release
+message_queue_create rtems_message_queue_create
+message_queue_ident rtems_message_queue_ident
+message_queue_delete rtems_message_queue_delete
+message_queue_send rtems_message_queue_send
+message_queue_urgent rtems_message_queue_urgent
+message_queue_broadcast rtems_message_queue_broadcast
+message_queue_receive rtems_message_queue_receive
+message_queue_flush rtems_message_queue_flush
+event_send rtems_event_send
+event_receive rtems_event_receive
+signal_catch rtems_signal_catch
+signal_send rtems_signal_send
+partition_create rtems_partition_create
+partition_ident rtems_partition_ident
+partition_delete rtems_partition_delete
+partition_get_buffer rtems_partition_get_buffer
+partition_return_buffer rtems_partition_return_buffer
+region_create rtems_region_create
+region_extend rtems_region_extend
+region_ident rtems_region_ident
+region_delete rtems_region_delete
+region_get_segment rtems_region_get_segment
+region_get_segment_size rtems_region_get_segment_size
+region_return_segment rtems_region_return_segment
+port_create rtems_port_create
+port_ident rtems_port_ident
+port_delete rtems_port_delete
+port_external_to_internal rtems_port_external_to_internal
+port_internal_to_external rtems_port_internal_to_external
+io_initialize rtems_io_initialize
+io_open rtems_io_open
+io_close rtems_io_close
+io_read rtems_io_read
+io_write rtems_io_write
+io_control rtems_io_control
+fatal_error_occurred rtems_fatal_error_occurred
+rate_monotonic_create rtems_rate_monotonic_create
+rate_monotonic_ident rtems_rate_monotonic_ident
+rate_monotonic_delete rtems_rate_monotonic_delete
+rate_monotonic_cancel rtems_rate_monotonic_cancel
+rate_monotonic_period rtems_rate_monotonic_period
+multiprocessing_announce rtems_multiprocessing_announce
+#
+#  Internal Names for API
+#
+_Initialize_Executive rtems_initialize_executive
+_Initialize_Executive_early rtems_initialize_executive_early
+_Initialize_Executive_late rtems_initialize_executive_late
+_Shutdown_Executive rtems_shutdown_executive
+_RTEMS_tasks_Create rtems_task_create
+_RTEMS_tasks_Name_to_id rtems_task_ident
+_RTEMS_tasks_Start rtems_task_start
+_RTEMS_tasks_Restart rtems_task_restart
+_RTEMS_tasks_Delete rtems_task_delete
+_RTEMS_tasks_Suspend rtems_task_suspend
+_RTEMS_tasks_Resume rtems_task_resume
+_RTEMS_tasks_Set_priority rtems_task_set_priority
+_RTEMS_tasks_Mode rtems_task_mode
+_RTEMS_tasks_Get_note rtems_task_get_note
+_RTEMS_tasks_Set_note rtems_task_set_note
+_RTEMS_tasks_Wake_after rtems_task_wake_after
+_RTEMS_tasks_Wake_when rtems_task_wake_when
+_Interrupt_Catch rtems_interrupt_catch
+_Clock_Set rtems_clock_set
+_Clock_Get rtems_clock_get
+_Clock_Tick rtems_clock_tick
+_Extension_Create rtems_extension_create
+_Extension_Name_to_id rtems_extension_ident
+_Extension_Delete rtems_extension_delete
+_Timer_Create rtems_timer_create
+_Timer_Name_to_id rtems_timer_ident
+_Timer_Cancel rtems_timer_cancel
+_Timer_Delete rtems_timer_delete
+_Timer_Fire_after rtems_timer_fire_after
+_Timer_Fire_when rtems_timer_fire_when
+_Timer_Reset rtems_timer_reset
+_Semaphore_Create rtems_semaphore_create
+_Semaphore_Name_to_id rtems_semaphore_ident
+_Semaphore_Delete rtems_semaphore_delete
+_Semaphore_Obtain rtems_semaphore_obtain
+_Semaphore_Release rtems_semaphore_release
+_Message_queue_Create rtems_message_queue_create
+_Message_queue_Name_to_id rtems_message_queue_ident
+_Message_queue_Delete rtems_message_queue_delete
+_Message_queue_Send rtems_message_queue_send
+_Message_queue_Urgent rtems_message_queue_urgent
+_Message_queue_Broadcast rtems_message_queue_broadcast
+_Message_queue_Receive rtems_message_queue_receive
+_Message_queue_Flush rtems_message_queue_flush
+_Event_Send rtems_event_send
+_Event_Receive rtems_event_receive
+_Signal_Catch rtems_signal_catch
+_Signal_Send rtems_signal_send
+_Partition_Create rtems_partition_create
+_Partition_Name_to_id rtems_partition_ident
+_Partition_Delete rtems_partition_delete
+_Partition_Get_buffer rtems_partition_get_buffer
+_Partition_Return_buffer rtems_partition_return_buffer
+_Region_Create rtems_region_create
+_Region_Extend rtems_region_extend
+_Region_Name_to_id rtems_region_ident
+_Region_Delete rtems_region_delete
+_Region_Get_segment rtems_region_get_segment
+_Region_Get_segment_size rtems_region_get_segment_size
+_Region_Return_segment rtems_region_return_segment
+_Dual_ported_memory_Create rtems_port_create
+_Dual_ported_memory_Name_to_id rtems_port_ident
+_Dual_ported_memory_Delete rtems_port_delete
+_Dual_ported_memory_External_to_internal rtems_port_external_to_internal
+_Dual_ported_memory_Internal_to_external rtems_port_internal_to_external
+_IO_Initialize rtems_io_initialize
+_IO_Open rtems_io_open
+_IO_Close rtems_io_close
+_IO_Read rtems_io_read
+_IO_Write rtems_io_write
+_IO_Control rtems_io_control
+_Fatal_Error_occurred rtems_fatal_error_occurred
+_Rate_monotonic_Create rtems_rate_monotonic_create
+_Rate_monotonic_Name_to_id rtems_rate_monotonic_ident
+_Rate_monotonic_Delete rtems_rate_monotonic_delete
+_Rate_monotonic_Cancel rtems_rate_monotonic_cancel
+_Rate_monotonic_Period rtems_rate_monotonic_period
+_Multiprocessing_Announce rtems_multiprocessing_announce
+#
+#  Status (API names)
+#
+SUCCESSFUL RTEMS_SUCCESSFUL
+TASK_EXITTED RTEMS_TASK_EXITTED
+MP_NOT_CONFIGURED RTEMS_MP_NOT_CONFIGURED
+INVALID_NAME RTEMS_INVALID_NAME
+INVALID_ID RTEMS_INVALID_ID
+TOO_MANY RTEMS_TOO_MANY
+TIMEOUT RTEMS_TIMEOUT
+OBJECT_WAS_DELETED RTEMS_OBJECT_WAS_DELETED
+INVALID_SIZE RTEMS_INVALID_SIZE
+INVALID_ADDRESS RTEMS_INVALID_ADDRESS
+INVALID_NUMBER RTEMS_INVALID_NUMBER
+NOT_DEFINED RTEMS_NOT_DEFINED
+RESOURCE_IN_USE RTEMS_RESOURCE_IN_USE
+UNSATISFIED RTEMS_UNSATISFIED
+INCORRECT_STATE RTEMS_INCORRECT_STATE
+ALREADY_SUSPENDED RTEMS_ALREADY_SUSPENDED
+ILLEGAL_ON_SELF RTEMS_ILLEGAL_ON_SELF
+ILLEGAL_ON_REMOTE_OBJECT RTEMS_ILLEGAL_ON_REMOTE_OBJECT
+CALLED_FROM_ISR RTEMS_CALLED_FROM_ISR
+INVALID_PRIORITY RTEMS_INVALID_PRIORITY
+INVALID_CLOCK RTEMS_INVALID_CLOCK
+INVALID_NODE RTEMS_INVALID_NODE
+NOT_CONFIGURED RTEMS_NOT_CONFIGURED
+NOT_OWNER_OF_RESOURCE RTEMS_NOT_OWNER_OF_RESOURCE
+NOT_IMPLEMENTED RTEMS_NOT_IMPLEMENTED
+INTERNAL_ERROR RTEMS_INTERNAL_ERROR
+PROXY_BLOCKING RTEMS_PROXY_BLOCKING
+NO_MEMORY RTEMS_NO_MEMORY
+STATUS_CODES_FIRST RTEMS_STATUS_CODES_FIRST
+STATUS_CODES_LAST RTEMS_STATUS_CODES_LAST
+#
+#  Status (Internal names)
+#
+STATUS_SUCCESSFUL RTEMS_SUCCESSFUL
+STATUS_TASK_EXITTED RTEMS_TASK_EXITTED
+STATUS_MP_NOT_CONFIGURED RTEMS_MP_NOT_CONFIGURED
+STATUS_INVALID_NAME RTEMS_INVALID_NAME
+STATUS_INVALID_ID RTEMS_INVALID_ID
+STATUS_TOO_MANY RTEMS_TOO_MANY
+STATUS_TIMEOUT RTEMS_TIMEOUT
+STATUS_OBJECT_WAS_DELETED RTEMS_OBJECT_WAS_DELETED
+STATUS_INVALID_SIZE RTEMS_INVALID_SIZE
+STATUS_INVALID_ADDRESS RTEMS_INVALID_ADDRESS
+STATUS_INVALID_NUMBER RTEMS_INVALID_NUMBER
+STATUS_NOT_DEFINED RTEMS_NOT_DEFINED
+STATUS_RESOURCE_IN_USE RTEMS_RESOURCE_IN_USE
+STATUS_UNSATISFIED RTEMS_UNSATISFIED
+STATUS_INCORRECT_STATE RTEMS_INCORRECT_STATE
+STATUS_ALREADY_SUSPENDED RTEMS_ALREADY_SUSPENDED
+STATUS_ILLEGAL_ON_SELF RTEMS_ILLEGAL_ON_SELF
+STATUS_ILLEGAL_ON_REMOTE_OBJECT RTEMS_ILLEGAL_ON_REMOTE_OBJECT
+STATUS_CALLED_FROM_ISR RTEMS_CALLED_FROM_ISR
+STATUS_INVALID_PRIORITY RTEMS_INVALID_PRIORITY
+STATUS_INVALID_CLOCK RTEMS_INVALID_CLOCK
+STATUS_INVALID_NODE RTEMS_INVALID_NODE
+STATUS_NOT_CONFIGURED RTEMS_NOT_CONFIGURED
+STATUS_NOT_OWNER_OF_RESOURCE RTEMS_NOT_OWNER_OF_RESOURCE
+STATUS_NOT_IMPLEMENTED RTEMS_NOT_IMPLEMENTED
+STATUS_INTERNAL_ERROR RTEMS_INTERNAL_ERROR
+STATUS_PROXY_BLOCKING RTEMS_PROXY_BLOCKING
+STATUS_NO_MEMORY RTEMS_NO_MEMORY
+#
+#  Attributes (External)
+#
+DEFAULT_ATTRIBUTES RTEMS_DEFAULT_ATTRIBUTES
+NO_FLOATING_POINT RTEMS_NO_FLOATING_POINT
+FLOATING_POINT RTEMS_FLOATING_POINT
+LOCAL RTEMS_LOCAL
+GLOBAL RTEMS_GLOBAL
+FIFO RTEMS_FIFO
+PRIORITY RTEMS_PRIORITY
+NO_LIMIT RTEMS_NO_LIMIT
+LIMIT RTEMS_LIMIT
+COUNTING_SEMAPHORE RTEMS_COUNTING_SEMAPHORE
+BINARY_SEMAPHORE RTEMS_BINARY_SEMAPHORE
+NO_INHERIT_PRIORITY RTEMS_NO_INHERIT_PRIORITY
+INHERIT_PRIORITY RTEMS_INHERIT_PRIORITY
+#
+#  Attributes (Internal)
+#
+ATTRIBUTES_DEFAULTS RTEMS_DEFAULT_ATTRIBUTES
+ATTRIBUTES_NO_FLOATING_POINT RTEMS_NO_FLOATING_POINT
+ATTRIBUTES_FLOATING_POINT RTEMS_FLOATING_POINT
+ATTRIBUTES_LOCAL RTEMS_LOCAL
+ATTRIBUTES_GLOBAL RTEMS_GLOBAL
+ATTRIBUTES_FIFO RTEMS_FIFO
+ATTRIBUTES_PRIORITY RTEMS_PRIORITY
+ATTRIBUTES_NO_LIMIT RTEMS_NO_LIMIT
+ATTRIBUTES_LIMIT RTEMS_LIMIT
+ATTRIBUTES_COUNTING_SEMAPHORE RTEMS_COUNTING_SEMAPHORE
+ATTRIBUTES_BINARY_SEMAPHORE RTEMS_BINARY_SEMAPHORE
+ATTRIBUTES_NO_INHERIT_PRIORITY RTEMS_NO_INHERIT_PRIORITY
+ATTRIBUTES_INHERIT_PRIORITY RTEMS_INHERIT_PRIORITY
+#
+#  Options (External)
+#
+DEFAULT_OPTIONS RTEMS_DEFAULT_OPTIONS
+WAIT RTEMS_WAIT
+NO_WAIT RTEMS_NO_WAIT
+EVENT_ALL RTEMS_EVENT_ALL
+EVENT_ANY RTEMS_EVENT_ANY
+#
+#  Options (Internal)
+#
+OPTIONS_DEFAULT RTEMS_DEFAULT_OPTIONS
+OPTIONS_WAIT RTEMS_WAIT
+OPTIONS_NO_WAIT RTEMS_NO_WAIT
+OPTIONS_EVENT_ALL RTEMS_EVENT_ALL
+OPTIONS_EVENT_ANY RTEMS_EVENT_ANY
+#
+#  Masks (External)
+#
+ALL_MODE_MASKS RTEMS_ALL_MODE_MASKS
+PREEMPT_MASK RTEMS_PREEMPT_MASK
+TIMESLICE_MASK RTEMS_TIMESLICE_MASK
+ASR_MASK RTEMS_ASR_MASK
+INTERRUPT_MASK RTEMS_INTERRUPT_MASK
+#
+#  Masks (Internal)
+#
+MODES_ALL_MASK RTEMS_ALL_MODE_MASKS
+MODES_PREEMPT_MASK RTEMS_PREEMPT_MASK
+MODES_TIMESLICE_MASK RTEMS_TIMESLICE_MASK
+MODES_ASR_MASK RTEMS_ASR_MASK
+MODES_INTERRUPT_MASK RTEMS_INTERRUPT_MASK
+#
+#  Modes (Internal)
+#
+MODES_DEFAULTS RTEMS_DEFAULT_MODES
+MODES_PREEMPT RTEMS_PREEMPT
+MODES_NO_PREEMPT RTEMS_NO_PREEMPT
+MODES_NO_TIMESLICE RTEMS_NO_TIMESLICE
+MODES_TIMESLICE RTEMS_TIMESLICE
+MODES_ASR RTEMS_ASR
+MODES_NO_ASR RTEMS_NO_ASR
+_Modes_Interrupt_level RTEMS_INTERRUPT_LEVEL
+#
+#  Modes (External)
+#
+DEFAULT_MODES RTEMS_DEFAULT_MODES
+PREEMPT RTEMS_PREEMPT
+NO_PREEMPT RTEMS_NO_PREEMPT
+NO_TIMESLICE RTEMS_NO_TIMESLICE
+TIMESLICE RTEMS_TIMESLICE
+ASR RTEMS_ASR
+NO_ASR RTEMS_NO_ASR
+INTERRUPT_LEVEL RTEMS_INTERRUPT_LEVEL
+#
+#  Identification (External)
+#
+SEARCH_ALL_NODES RTEMS_SEARCH_ALL_NODES
+SEARCH_OTHER_NODES RTEMS_SEARCH_OTHER_NODES
+SEARCH_LOCAL_NODE RTEMS_SEARCH_LOCAL_NODE
+WHO_AM_I RTEMS_WHO_AM_I
+#
+#  Identification (Internal)
+#
+OBJECTS_SEARCH_ALL_NODES RTEMS_SEARCH_ALL_NODES
+OBJECTS_SEARCH_OTHER_NODES RTEMS_SEARCH_OTHER_NODES
+OBJECTS_SEARCH_LOCAL_NODE RTEMS_SEARCH_LOCAL_NODE
+OBJECTS_WHO_AM_I RTEMS_WHO_AM_I
+#
+#  Miscellaneous (External API)
+#
+CURRENT_MODE RTEMS_CURRENT_MODE
+CURRENT_PRIORITY RTEMS_CURRENT_PRIORITY
+PENDING_EVENTS RTEMS_PENDING_EVENTS
+NO_TIMEOUT RTEMS_NO_TIMEOUT
+SELF RTEMS_SELF
+PERIOD_STATUS RTEMS_PERIOD_STATUS
+YIELD_PROCESSOR RTEMS_YIELD_PROCESSOR
+MINIMUM_PRIORITY RTEMS_MINIMUM_PRIORITY
+MAXIMUM_PRIORITY RTEMS_MAXIMUM_PRIORITY
+MINIMUM_STACK_SIZE RTEMS_MINIMUM_STACK_SIZE
+#
+#  Miscellaneous (External API)
+#
+MODES_CURRENT RTEMS_CURRENT_MODE
+PRIORITY_CURRENT RTEMS_CURRENT_PRIORITY
+#
+#  Events
+#
+ALL_EVENTS RTEMS_ALL_EVENTS
+EVENT_0 RTEMS_EVENT_0
+EVENT_1 RTEMS_EVENT_1
+EVENT_2 RTEMS_EVENT_2
+EVENT_3 RTEMS_EVENT_3
+EVENT_4 RTEMS_EVENT_4
+EVENT_5 RTEMS_EVENT_5
+EVENT_6 RTEMS_EVENT_6
+EVENT_7 RTEMS_EVENT_7
+EVENT_8 RTEMS_EVENT_8
+EVENT_9 RTEMS_EVENT_9
+EVENT_10 RTEMS_EVENT_10
+EVENT_11 RTEMS_EVENT_11
+EVENT_12 RTEMS_EVENT_12
+EVENT_13 RTEMS_EVENT_13
+EVENT_14 RTEMS_EVENT_14
+EVENT_15 RTEMS_EVENT_15
+EVENT_16 RTEMS_EVENT_16
+EVENT_17 RTEMS_EVENT_17
+EVENT_18 RTEMS_EVENT_18
+EVENT_19 RTEMS_EVENT_19
+EVENT_20 RTEMS_EVENT_20
+EVENT_21 RTEMS_EVENT_21
+EVENT_22 RTEMS_EVENT_22
+EVENT_23 RTEMS_EVENT_23
+EVENT_24 RTEMS_EVENT_24
+EVENT_25 RTEMS_EVENT_25
+EVENT_26 RTEMS_EVENT_26
+EVENT_27 RTEMS_EVENT_27
+EVENT_28 RTEMS_EVENT_28
+EVENT_29 RTEMS_EVENT_29
+EVENT_30 RTEMS_EVENT_30
+EVENT_31 RTEMS_EVENT_31
+#
+#  Signals
+#
+SIGNAL_0 RTEMS_SIGNAL_0
+SIGNAL_1 RTEMS_SIGNAL_1
+SIGNAL_2 RTEMS_SIGNAL_2
+SIGNAL_3 RTEMS_SIGNAL_3
+SIGNAL_4 RTEMS_SIGNAL_4
+SIGNAL_5 RTEMS_SIGNAL_5
+SIGNAL_6 RTEMS_SIGNAL_6
+SIGNAL_7 RTEMS_SIGNAL_7
+SIGNAL_8 RTEMS_SIGNAL_8
+SIGNAL_9 RTEMS_SIGNAL_9
+SIGNAL_10 RTEMS_SIGNAL_10
+SIGNAL_11 RTEMS_SIGNAL_11
+SIGNAL_12 RTEMS_SIGNAL_12
+SIGNAL_13 RTEMS_SIGNAL_13
+SIGNAL_14 RTEMS_SIGNAL_14
+SIGNAL_15 RTEMS_SIGNAL_15
+SIGNAL_16 RTEMS_SIGNAL_16
+SIGNAL_17 RTEMS_SIGNAL_17
+SIGNAL_18 RTEMS_SIGNAL_18
+SIGNAL_19 RTEMS_SIGNAL_19
+SIGNAL_20 RTEMS_SIGNAL_20
+SIGNAL_21 RTEMS_SIGNAL_21
+SIGNAL_22 RTEMS_SIGNAL_22
+SIGNAL_23 RTEMS_SIGNAL_23
+SIGNAL_24 RTEMS_SIGNAL_24
+SIGNAL_25 RTEMS_SIGNAL_25
+SIGNAL_26 RTEMS_SIGNAL_26
+SIGNAL_27 RTEMS_SIGNAL_27
+SIGNAL_28 RTEMS_SIGNAL_28
+SIGNAL_29 RTEMS_SIGNAL_29
+SIGNAL_30 RTEMS_SIGNAL_30
+SIGNAL_31 RTEMS_SIGNAL_31
+#
+#  Notepads
+#
+NOTEPAD_FIRST RTEMS_NOTEPAD_FIRST
+NOTEPAD_0 RTEMS_NOTEPAD_0
+NOTEPAD_1 RTEMS_NOTEPAD_1
+NOTEPAD_2 RTEMS_NOTEPAD_2
+NOTEPAD_3 RTEMS_NOTEPAD_3
+NOTEPAD_4 RTEMS_NOTEPAD_4
+NOTEPAD_5 RTEMS_NOTEPAD_5
+NOTEPAD_6 RTEMS_NOTEPAD_6
+NOTEPAD_7 RTEMS_NOTEPAD_7
+NOTEPAD_8 RTEMS_NOTEPAD_8
+NOTEPAD_9 RTEMS_NOTEPAD_9
+NOTEPAD_10 RTEMS_NOTEPAD_10
+NOTEPAD_11 RTEMS_NOTEPAD_11
+NOTEPAD_12 RTEMS_NOTEPAD_12
+NOTEPAD_13 RTEMS_NOTEPAD_13
+NOTEPAD_14 RTEMS_NOTEPAD_14
+NOTEPAD_15 RTEMS_NOTEPAD_15
+NOTEPAD_LAST RTEMS_NOTEPAD_LAST
+#
+#  Multiprocessing
+#
+MIN_PKTSIZE RTEMS_MINIMUM_PACKET_SIZE
+MIN_HETERO_CONV RTEMS_MINIMUN_HETERO_CONVERSION
+#
+#  Name and ID External
+#
+get_node rtems_get_node
+get_index rtems_get_index
+build_name rtems_build_name
+name_to_characters rtems_name_to_characters
+#
+# Name and ID Internal
+#
+_Objects_Get_node rtems_get_node
+_Objects_Get_index rtems_get_index
+_Objects_Build_name rtems_build_name
+_Objects_Name_to_characters rtems_name_to_characters
+#
+#  clock_get
+#
+CLOCK_GET_TOD RTEMS_CLOCK_GET_TOD
+CLOCK_GET_SECONDS_SINCE_EPOCH RTEMS_CLOCK_GET_SECONDS_SINCE_EPOCH
+CLOCK_GET_TICKS_SINCE_BOOT RTEMS_CLOCK_GET_TICKS_SINCE_BOOT
+CLOCK_GET_TICKS_PER_SECOND RTEMS_CLOCK_GET_TICKS_PER_SECOND
+CLOCK_GET_TIME_VALUE RTEMS_CLOCK_GET_TIME_VALUE
+#
+#  Status Code Support Routines  (External) -- NO CHANGES
+#
+#
+#  Status Code Support Routines  (Internal)
+#
+_Status_Is_successful rtems_is_status_successful
+_Status_Is_equal rtems_are_statuses_equal
+#
+#  Time Conversion Support Routines (External) -- NO CHANGES
+#
+#
+#  Time Conversion Support Routines (Internal)
+#
+_TOD_Milliseconds_to_microseconds RTEMS_MILLISECONDS_TO_MICROSECONDS
+_TOD_Milliseconds_to_ticks RTEMS_MILLISECONDS_TO_MICROSECONDS
+#
+#  MP packet
+#
+MP_PACKET_INTERNAL_THREADS RTEMS_MP_PACKET_INTERNAL_THREADS
+MP_PACKET_RTEMS_TASKS RTEMS_MP_PACKET_TASKS
+MP_PACKET_MESSAGE_QUEUE RTEMS_MP_PACKET_MESSAGE_QUEUE
+MP_PACKET_SEMAPHORE RTEMS_MP_PACKET_SEMAPHORE
+MP_PACKET_PARTITION RTEMS_MP_PACKET_PARTITION
+MP_PACKET_REGION RTEMS_MP_PACKET_REGION
+MP_PACKET_EVENT RTEMS_MP_PACKET_EVENT
+MP_PACKET_SIGNAL RTEMS_MP_PACKET_SIGNAL
+#
+#
+#
+IO_Major_control rtems_device_major_number
+IO_Minor_control rtems_device_minor_number
+#
+#  Configuration Info
+#
+Configuration_Table rtems_configuration_table
+Configuration_Initialization_tasks_table rtems_initialization_tasks_table
+Configuration_Driver_address_table rtems_driver_address_table
+Configuration_Extension_table rtems_extensions_table
+rtems_tasks_create_extension rtems_task_create_extension
+rtems_tasks_start_extension rtems_task_start_extension
+rtems_tasks_restart_extension rtems_task_restart_extension
+rtems_tasks_delete_extension rtems_task_delete_extension
+rtems_tasks_switch_extension rtems_task_switch_extension
+rtems_tasks_begin_extension rtems_task_begin_extension
+rtems_tasks_exitted_extension rtems_task_exitted_extension
+rtems_fatal_extension rtems_fatal_extension
+Configuration_MPCI_table rtems_mpci_table
+Configuration_Multiprocessing_table rtems_multiprocessing_table
+CPU_Table rtems_cpu_table
+#
+Clock_Get_options rtems_clock_get_options
+Clock_Time_value rtems_clock_time_value
+MP_packet_Prefix rtems_packet_prefix
+MP_packet_Classes rtems_mp_packet_classes
+TOD_Control rtems_time_of_day
+ISR_Vector rtems_vector_number
+Watchdog_Interval rtems_interval
+Watchdog_Service rtems_timer_service_routine_entry
+Attributes_Control rtems_attribute
+Modes_Control rtems_mode
+Options_Control rtems_option
+Priority_Control rtems_task_priority
+PRIORITY_MINIMUM RTEMS_MINIMUM_PRIORITY
+PRIORITY_MAXIMUM RTEMS_MAXIMUM_PRIORITY
+Event_sets_Control rtems_event_set
+ASR_Signal_set_control rtems_signal_set
+Status_Codes rtems_status_code
+RTEMS_TASKS_YIELD_PROCESSOR RTEMS_YIELD_PROCESSOR
+RATE_MONOTONIC_PERIOD_STATUS RTEMS_PERIOD_STATUS
+WATCHDOG_FOREVER RTEMS_NO_TIMEOUT
+STACK_MINIMUM_SIZE RTEMS_MINIMUM_STACK_SIZE
+#
+ASR_Handler rtems_asr_entry
+Thread_Entry rtems_task_entry
+#
+disable_intr rtems_interrupt_disable
+enable_intr rtems_interrupt_enable
+flash_intr rtems_interrupt_flash
+
Index: c/update-tools/README
===================================================================
--- c/update-tools/README	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ c/update-tools/README	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,7 @@
+#
+#  $Id$
+#
+
+This directory contains tools which aid in upgrading from RTEMS 3.1.0
+to RTEMS 3.2.0.
+
